com.io7m.r2.meshes.binary.r2mb

## Interface R2MBHeaderReadableType

- All Superinterfaces:
    com.io7m.jpra.runtime.java.JPRAValueType
  All Known Subinterfaces:
    R2MBHeaderType
  All Known Implementing Classes:
    R2MBHeaderByteBuffered

      public interface R2MBHeaderReadableType
      extends com.io7m.jpra.runtime.java.JPRAValueType

  The readable interface to values of the `R2MBHeader` record type.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `byte` | `getMagic0()`
    `byte` | `getMagic1()`
    `byte` | `getMagic2()`
    `byte` | `getMagic3()`
    `int` | `getTriangleCount()`
    `int` | `getVersion()`
    `int` | `getVertexCount()`
    `int` | `metaMagic0OffsetFromCursor()`
    `int` | `metaMagic0OffsetFromType()`
    `com.io7m.jpra.runtime.java.JPRATypeModel.JPRAIntegerUnsigned` | `metaMagic0Type()`
    `int` | `metaMagic1OffsetFromCursor()`
    `int` | `metaMagic1OffsetFromType()`
    `com.io7m.jpra.runtime.java.JPRATypeModel.JPRAIntegerUnsigned` | `metaMagic1Type()`
    `int` | `metaMagic2OffsetFromCursor()`
    `int` | `metaMagic2OffsetFromType()`
    `com.io7m.jpra.runtime.java.JPRATypeModel.JPRAIntegerUnsigned` | `metaMagic2Type()`
    `int` | `metaMagic3OffsetFromCursor()`
    `int` | `metaMagic3OffsetFromType()`
    `com.io7m.jpra.runtime.java.JPRATypeModel.JPRAIntegerUnsigned` | `metaMagic3Type()`
    `int` | `metaTriangleCountOffsetFromCursor()`
    `int` | `metaTriangleCountOffsetFromType()`
    `com.io7m.jpra.runtime.java.JPRATypeModel.JPRAIntegerUnsigned` | `metaTriangleCountType()`
    `int` | `metaVersionOffsetFromCursor()`
    `int` | `metaVersionOffsetFromType()`
    `com.io7m.jpra.runtime.java.JPRATypeModel.JPRAIntegerUnsigned` | `metaVersionType()`
    `int` | `metaVertexCountOffsetFromCursor()`
    `int` | `metaVertexCountOffsetFromType()`
    `com.io7m.jpra.runtime.java.JPRATypeModel.JPRAIntegerUnsigned` | `metaVertexCountType()`

    - ### Methods inherited from interface com.io7m.jpra.runtime.java.JPRAValueType

      `sizeOctets`

- - ### Method Detail

    - #### metaMagic0OffsetFromType

          int metaMagic0OffsetFromType()

      Returns:
        The offset in octets of the `magic0` field, from the start of the type

    - #### metaMagic0OffsetFromCursor

          int metaMagic0OffsetFromCursor()

      Returns:
        The offset in octets of the `magic0` field, from the cursor

    - #### metaMagic0Type

          com.io7m.jpra.runtime.java.JPRATypeModel.JPRAIntegerUnsigned metaMagic0Type()

      Returns:
        The type of the `magic0` field

    - #### getMagic0

          byte getMagic0()

      Returns:
        The value of the `magic0` field

    - #### metaMagic1OffsetFromType

          int metaMagic1OffsetFromType()

      Returns:
        The offset in octets of the `magic1` field, from the start of the type

    - #### metaMagic1OffsetFromCursor

          int metaMagic1OffsetFromCursor()

      Returns:
        The offset in octets of the `magic1` field, from the cursor

    - #### metaMagic1Type

          com.io7m.jpra.runtime.java.JPRATypeModel.JPRAIntegerUnsigned metaMagic1Type()

      Returns:
        The type of the `magic1` field

    - #### getMagic1

          byte getMagic1()

      Returns:
        The value of the `magic1` field

    - #### metaMagic2OffsetFromType

          int metaMagic2OffsetFromType()

      Returns:
        The offset in octets of the `magic2` field, from the start of the type

    - #### metaMagic2OffsetFromCursor

          int metaMagic2OffsetFromCursor()

      Returns:
        The offset in octets of the `magic2` field, from the cursor

    - #### metaMagic2Type

          com.io7m.jpra.runtime.java.JPRATypeModel.JPRAIntegerUnsigned metaMagic2Type()

      Returns:
        The type of the `magic2` field

    - #### getMagic2

          byte getMagic2()

      Returns:
        The value of the `magic2` field

    - #### metaMagic3OffsetFromType

          int metaMagic3OffsetFromType()

      Returns:
        The offset in octets of the `magic3` field, from the start of the type

    - #### metaMagic3OffsetFromCursor

          int metaMagic3OffsetFromCursor()

      Returns:
        The offset in octets of the `magic3` field, from the cursor

    - #### metaMagic3Type

          com.io7m.jpra.runtime.java.JPRATypeModel.JPRAIntegerUnsigned metaMagic3Type()

      Returns:
        The type of the `magic3` field

    - #### getMagic3

          byte getMagic3()

      Returns:
        The value of the `magic3` field

    - #### metaVersionOffsetFromType

          int metaVersionOffsetFromType()

      Returns:
        The offset in octets of the `version` field, from the start of the type

    - #### metaVersionOffsetFromCursor

          int metaVersionOffsetFromCursor()

      Returns:
        The offset in octets of the `version` field, from the cursor

    - #### metaVersionType

          com.io7m.jpra.runtime.java.JPRATypeModel.JPRAIntegerUnsigned metaVersionType()

      Returns:
        The type of the `version` field

    - #### getVersion

          int getVersion()

      Returns:
        The value of the `version` field

    - #### metaVertexCountOffsetFromType

          int metaVertexCountOffsetFromType()

      Returns:
        The offset in octets of the `vertex_count` field, from the start of the type

    - #### metaVertexCountOffsetFromCursor

          int metaVertexCountOffsetFromCursor()

      Returns:
        The offset in octets of the `vertex_count` field, from the cursor

    - #### metaVertexCountType

          com.io7m.jpra.runtime.java.JPRATypeModel.JPRAIntegerUnsigned metaVertexCountType()

      Returns:
        The type of the `vertex_count` field

    - #### getVertexCount

          int getVertexCount()

      Returns:
        The value of the `vertex_count` field

    - #### metaTriangleCountOffsetFromType

          int metaTriangleCountOffsetFromType()

      Returns:
        The offset in octets of the `triangle_count` field, from the start of the type

    - #### metaTriangleCountOffsetFromCursor

          int metaTriangleCountOffsetFromCursor()

      Returns:
        The offset in octets of the `triangle_count` field, from the cursor

    - #### metaTriangleCountType

          com.io7m.jpra.runtime.java.JPRATypeModel.JPRAIntegerUnsigned metaTriangleCountType()

      Returns:
        The type of the `triangle_count` field

    - #### getTriangleCount

          int getTriangleCount()

      Returns:
        The value of the `triangle_count` field

Copyright © 2017 <code@io7m.com> http://io7m.com